Subject: bug#46256: [feature/native-comp] AOT eln files ignored if run from build tree

From: Eli Zaretskii <[email-masked]>
Date: Sat, 06 Mar 2021 22:53:05 +0200

> From: Andrea Corallo <[email-masked]>
> Cc: [email-masked], [email-masked], [email-masked]
> Date: Sat, 06 Mar 2021 20:31:02 +0000
> 
> I guess we'll have to extend the workaround to all pre 11 GCC when
> configuring Emacs with wide int...

I guess so.

Btw, do we have a way to force non-default compilation conditions for
a particular .el file, via file-local variables?  I'm thinking about
setting comp-speed and comp-native-driver-options.  That would help
users who cannot change the C code and/or don't want to customize
these variables globally for all compilations.

Btw2, why are the *.eln files so big? do they include debug info, and
if so, how to request a compilation that doesn't emit debug info?